CMUCL commit: src/tools (linker.sh)

Raymond Toy rtoy at common-lisp.net
Mon Jul 26 21:07:56 CEST 2010


    Date: Monday, July 26, 2010 @ 15:07:56
  Author: rtoy
    Path: /project/cmucl/cvsroot/src/tools

Modified: linker.sh

The generated linker script was placed in the wrong directory and ld
could not find it.  Put it in the same directory as executable, and
delete it when done.


-----------+
 linker.sh |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)


Index: src/tools/linker.sh
diff -u src/tools/linker.sh:1.8 src/tools/linker.sh:1.9
--- src/tools/linker.sh:1.8	Mon Sep 28 08:32:42 2009
+++ src/tools/linker.sh	Mon Jul 26 15:07:56 2010
@@ -1,6 +1,6 @@
 #!/bin/sh -x
 
-# $Id: linker.sh,v 1.8 2009-09-28 12:32:42 rtoy Rel $
+# $Id: linker.sh,v 1.9 2010-07-26 19:07:56 rtoy Exp $
 
 # This file was written by Fred Gilham and is placed in the public domain.
 # It comes without warranty of any kind.
@@ -118,10 +118,11 @@
 	# first word of main isn't all zeros.
 	BIFLAG=0x14120
 	IFADDR=
-	sed -e "s;@BIFLAG@;$BIFLAG;" -e "s;@IFADDR@;$1;" $SCRIPT > sunos-map-file
+	sed -e "s;@BIFLAG@;$BIFLAG;" -e "s;@IFADDR@;$1;" $SCRIPT > $OUTDIR/sunos-map-file
 	SCRIPT="-M sunos-map-file"
 	# Remove the sunos-map-file when the script exits.
-	trap 'rm -f sunos-map-file' 0
+	trap 'rm -f $OUTDIR/sunos-map-file' 0
+	echo $PWD
 	FLAGS=
 	BIFLAG=
 	;;



More information about the cmucl-commit mailing list